package kolokvijum;

public class Application {

	public static void main(String[] args) {
		Radnik radnici[] = new Radnik[9];
		try {
			radnici[0] = new Programer("Slavko", "Kovacevic", 9.9, 60.0, 4, "Senior");
			radnici[1] = new Programer("Ana", "Asanin", 24.0, 65.0, 1, "Junior");
			radnici[2] = new Programer("Ilija", "Radojicic", 18.0, 110.0, 2, "Middle");
			radnici[3] = new Administrativac("Martin", "Spaic", 17.0, 34.0, 4, 200);
			radnici[4] = new Administrativac("Tarik", "Avdovic", 14.0, 74.0, 0, 1000);
			radnici[5] = new Administrativac("Miodrag", "Zarubica", 17.0, 34.0, 21, 15);
			radnici[6] = new VodjaTima("John", "Doe", 19.0, 38.0, 19, "Senior", 3);
			radnici[7] = new VodjaTima("Jane", "Doe", 21.0, 33.0, 7, "Senior", 5);
			radnici[8] = new VodjaTima("N", "N", 13.0, 35.0, 13, "Senior", 7);
			for (var radnik : radnici) {
				System.out.println(radnik.toString());
				System.out.println(radnik.plata());
				if (radnik instanceof Programer) { // demonstracija instanceof i downcasting-a
					System.out.println(((Programer) radnik).dodatak()); // nije trazeno, ali sanity check za switch
				}
			}

		} catch (IllegalArgumentException e) {
			System.out.println(e.getMessage()); // poruka koju smo definisali prilikom bacanja izuzetka
		}

	}

}
