package kolokvijum;

public class VodjaTima extends Programer {

	private int velicinaTima;

	public VodjaTima() {
		setStatus("Senior");
	}

	public VodjaTima(String ime, String prezime, double koeficijent, double osnovica, int staz, String status,
			int velicinaTima) {
		super(ime, prezime, koeficijent, osnovica, staz, status);
		this.velicinaTima = velicinaTima;
		if (!status.equals("Senior"))
			throw new IllegalArgumentException("Vodja tima mora biti senior!");
	}

	@Override
	public double plata() {
		return super.plata() + velicinaTima * 45;
	}

	// ovdje ce se tehnicki odstampati Vodja Tima Programer, rijesiti to...
	@Override
	public String toString() {
		return "Vodja Tima " + super.toString();
	}

}
